<template>
  <div class="upload-preview" :style="getAreaStyle()">
    <SerialNumberPosition v-if="isEnable(data.property.sn_display_mode)" :property="data.property" />

    <div class="main">
      <div>预览开发中</div>
      <!-- <UploadFile
    :changeFillId="courseware_id"
    :accept="acceptFileType"
    :filleNumber="1"
    :fileList="fileList"
    :type="type"
  /> -->
    </div>
  </div>
</template>

<script>
import UploadFile from './components/UploadView.vue';
import PreviewMixin from '../common/PreviewMixin';

import { getUploadPreviewData } from '@/views/book/courseware/data/uploadPreview';

export default {
  name: 'UploadControlPreview',
  components: { UploadFile },
  mixins: [PreviewMixin],
  data() {
    return {
      data: getUploadPreviewData(),
    };
  },
  watch: {
    'data.file_list': {
      handler(val) {
        console.log(val);
      },
      immediate: true,
    },
  },
  created() {},
  methods: {},
};
</script>

<style lang="scss" scoped>
@use '@/styles/mixin.scss' as *;

.upload-preview {
  @include preview-base;
}
</style>
